# PASN_Set Class Reference

Class for ASN Set type. More...

`#include <asner.h>`

Inheritance diagram for PASN_Set:

List of all members.

## Public Member Functions

| PASN_Set (unsigned tag=UniversalSet, TagClass tagClass=UniversalTagClass, unsigned nOpts=0, PBoolean extend=false, unsigned nExtend=0)
virtual PObject * | Clone () const
| Create a copy of the class on the heap.
virtual PString | GetTypeAsString () const
| Return a string giving the type of the object.

## Detailed Description

Class for ASN Set type.

## Constructor & Destructor Documentation

PASN_Set::PASN_Set | ( | unsigned | tag = `UniversalSet`,
|  | TagClass | tagClass = `UniversalTagClass`,
|  | unsigned | nOpts = `0`,
|  | PBoolean | extend = `false`,
|  | unsigned | nExtend = `0` |
| ) |  |  |

## Member Function Documentation

virtual PObject* PASN_Set::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PASN_Sequence.

virtual PString PASN_Set::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Reimplemented from PASN_Sequence.

The documentation for this class was generated from the following file:

- asner.h